---
schema_version: "1"
id: 86475b0a996a1d9e0c870d57621adca52d812d77db50d5d7be1f03e610ddfa01
title: Get Layouts and Descriptions for an Object With Multiple Record Types
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-layouts-multiple-rts-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-layouts-multiple-rts-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8e977d84a843075a4d4742802d19adb441d09a8ed6a7a89a7593513adb748e06
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Layouts and Descriptions for an Object With Multiple Record Types

Retrieves lists of layouts and their descriptions.

For a layout description for objects that have more than one record type defined, the recordTypeId can be obtained from the result from `/services/data/vXX.X/sobjects/sObject/describe/layouts/`

A GET request for objects that have more than one record type defined returns `null` for the layouts section of the response.

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/describe/layouts/recordTypeId`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Chocolate__c/describe/layouts/0125c000000oIN9AAM -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
  "buttonLayoutSection" : {
    "detailButtons" : [ 
        ...
    ]
  },
  "detailLayoutSections" : [
        ...
  ],
  "editLayoutSections" : [  
        ...
  ],
  "feedView" : null,
  "highlightsPanelLayoutSection" : null,
  "id" : "00ho000000CUJWIAA5",
  "multirowEditLayoutSections" : [ ],
  "offlineLinks" : [ ],
  "quickActionList" : {
    "quickActionListItems" : [
            ...
    ]
  },
  "relatedContent" : null,
  "relatedLists" : [  
        ...
  ],
  "saveOptions" : [ ]
}
```

